Skip to main content
GET
/
api
/
v1
/
testing-lab
/
calls
Get observed call logs for an agent
curl --request GET \
  --url https://prod.featherhq.com/api/v1/testing-lab/calls \
  --header 'X-API-Key: <api-key>'
{
  "results": [
    {
      "id": 123,
      "call_id": "<string>",
      "duration": "<string>",
      "voice_recording_url": "<string>",
      "transcript": "<string>",
      "transcript_object": [
        null
      ],
      "agent_id": 123,
      "agent_name": "<string>",
      "agent": 123,
      "project": null,
      "success": true,
      "is_reviewed": true,
      "evaluation": {
        "metrics": [
          {
            "id": 123,
            "name": "<string>",
            "explanation": [
              "<string>"
            ],
            "extra": {},
            "vocera_defined_metric_code": "<string>",
            "function_name": "<string>",
            "thumbs_up": true,
            "score": 123,
            "score_normalized": 123
          }
        ]
      },
      "rubric": [
        {
          "value": 123,
          "passed": true,
          "metric_id": 123,
          "conditions": "<string>",
          "explanation": [
            "<string>"
          ],
          "metric_name": "<string>",
          "expected_conditions": null
        }
      ],
      "critical_categories": [
        null
      ],
      "metadata": {},
      "dynamic_variables": {},
      "user_generated_transcript": null,
      "customer_number": "<string>",
      "call_ended_reason": "<string>",
      "topic": "<string>",
      "dropoff_point": "<string>",
      "feedback": "<string>",
      "error_message": "<string>",
      "testing_channel_index": 123,
      "timestamp": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "agent_call_id": "<string>"
    }
  ],
  "count": 123,
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

agentId
string
required
page
string
page_size
string
timestamp_from
string
timestamp_to
string

Response

Call logs retrieved successfully

results
object[]
required
count
number
next
string | null
previous
string | null